petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCBDDCCreateFETIDPOperators

Create FETI-DP operators

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCCreateFETIDPOperators(PC pc, Mat *fetidp_mat, PC *fetidp_pc)

Collective

### Input Parameters

pc -the BDDC preconditioning context (setup should have been called before)

### Output Parameters

| fetidp_mat | - shell FETI-DP matrix object
| fetidp_pc | - shell Dirichlet preconditioner for FETI-DP matrix

### Options Database Keys

-fetidp_fullyredundant <false> -use or not a fully redundant set of Lagrange multipliers

### Notes

Currently the only operations provided for FETI-DP matrix are MatMult and MatMultTranspose

### See Also

PCBDDC, PCBDDCMatFETIDPGetRHS, PCBDDCMatFETIDPGetSolution

Level:developer
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages